Home
Home
  1. Submissions
  • Getting started
  • Authentication
  • Webhooks
  • Embeddable Widgets
    • Overview
    • Document Upload Widget
      • UI/UX Best Practices
  • Guides
    • Verifying a new business
    • Verifying bank accounts
    • Supported document types
  • API Reference
    • Submissions
      • Reports
        • List available report templates
        • Download a report
      • Create new submission
        POST
      • Get submission
        GET
      • Update submission
        PUT
      • Update submission status
        PUT
      • Run business verification
        POST
      • Get submission checks
        GET
      • Delete submission
        DELETE
    • Documents
      • Public Documents API
        • List documents
        • Upload document
        • Get document
        • Delete document
      • List documents
      • Upload document for submission
      • Get document
      • Delete document
      • Download document file
      • Rerun validations
    • RPC Search
      • Get company with ID
      • Company RFC Lookup
      • Company Name Search
      • Download document
    • Utilities
      • Matcher
        • Run name matching
  1. Submissions

Update submission status

Production
https://api.niva.co/v1
Production
https://api.niva.co/v1
PUT
https://api.niva.co/v1
/submissions/{id}/status

Request

Authorization
Add parameter in header
apiKey
Example:
apiKey: ********************
Path Params

Body Params application/json

Example
{
    "status": "approved"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.niva.co/v1/submissions//status' \
--header 'apiKey: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "status": "approved"
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "id": "3dbfbdcbc9edf2519c401a2e",
    "status": "approved",
    "country": "MX",
    "inputs": {
        "business_type": "legal_entity",
        "legal_name": "Acme Inc.",
        "trade_name": "Acme",
        "rfc": "NVA120490XD2",
        "website": "https://acme.mx",
        "operating_address": "Barrio Manuel s/n., 68496 Roquetas de Mar, Com",
        "applicant": {
            "first_name": "Florencia",
            "email": "Soledad89@hotmail.com",
            "phone": "949180345",
            "last_name": "Padrón"
        }
    },
    "documents": [
        {
            "id": "fb7f9eb57797f4c4d90a2ed9",
            "status": "valid",
            "document_type": "mx_acta_constitutiva",
            "data": {},
            "validation_errors": [],
            "uploaded_at": "2024-07-20T16:51:34.524Z"
        }
    ],
    "created_at": "2024-07-21T08:08:41.442Z",
    "updated_at": "2024-07-20T09:42:05.306Z",
    "external_id": "c487a1ee-0e43-4806-9f9d-a59d623c6510"
}
🟠404Not found
🟠422Parameter Error
Previous
Update submission
Next
Run business verification